Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000893Core InformIndexingpublic2012-03-23 18:012014-05-07 07:34
ReporterNYKevin 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000893: Attempting to add exits to an unnamed room via the index produces strange code
DescriptionAdding exits via the "World" tab to an unnamed room produces ugly code of the form "North from ?-1,-1? is .". I'm not sure what Inform *should* do here, but I'm pretty sure it shouldn't pretend the name of the room is "?-1,-1?".
Minimal Source Text To Reproduce
There is a room.
Additional InformationSaid code will compile (if e.g. "nothing" is put after the word "is") and create a new room, called "?-1,-1?". It will *not* be interpreted as the nameless room.
TagsNo tags attached.
Effect(cosmetic) Index is created incorrectly
Attached Files

- Relationships

-  Notes
(0002342)
graham (administrator)
2014-01-22 14:48

Clearly a bug, yes. The word "here" is now used instead.

- Issue History
Date Modified Username Field Change
2012-03-23 18:01 NYKevin New Issue
2012-03-27 14:22 EmacsUser Reproducibility have not tried => always
2012-03-27 14:22 EmacsUser Status new => confirmed
2014-01-22 14:48 graham Note Added: 0002342
2014-01-22 14:48 graham Status confirmed => resolved
2014-01-22 14:48 graham Resolution open => fixed
2014-01-22 14:48 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker